iPhone Unlocking iPhone 3GS on iOS6

ethanzh

macrumors member
Original poster
Nov 5, 2011
34
0
Oslo, Norway
Here's my dilemma.

I have an iPhone 3GS running iOS 6.0. My modem firmware is 05.16.07, and my serial number is 88944XZE3NS. I don't care if I need to downgrade to iOS 5, but I want to be able to unlock my baseband to either 06.15.00, or something else unlockable in iOS6.


Thanks
 

hackthatphone

macrumors 68000
Jul 28, 2010
1,590
1
From the dev team blog:

5. ultrasn0w isn’t yet updated for 6.x

by now you probably should be taking advantage of the extremely cheap IMEI-based unlocks of iPhones sold by established online retailers like http://cutyoursim.com
still, IMEI-based unlocks don’t work in all cases. We’ll announce when ultrasn0w is ported up to 6.x


Also 5.16.07 is not unlockable by ultrasn0w on any firmware. 6.15 would be unlockable. Don't know if the gps killing side effect is still present when you go to that version.
 

ethanzh

macrumors member
Original poster
Nov 5, 2011
34
0
Oslo, Norway
So at one point in time I will be able to use Ultrasn0w with my 05.16.07 baseband on iOS 6?

So I just wait?

How long do you think it will take?

Kudos to the dev team
 

hackthatphone

macrumors 68000
Jul 28, 2010
1,590
1
So at one point in time I will be able to use Ultrasn0w with my 05.16.07 baseband on iOS 6?
Unknown. With factory unlocked iphones now available and with all those imei unlocking services out there, unlocking isn't a high priority for the team. That last version of ultrasn0w was for the first version of the firmware released for iphone 4. That was over two years ago!

Maybe someone else will have a different answer. I don't even see a Gevey solution available on the applenberry site for the 3gs.
 

ethanzh

macrumors member
Original poster
Nov 5, 2011
34
0
Oslo, Norway
My phone is Norwegian and I plan on using a different SIM than the original one. I don't care about updating to 06.15.00, I never use GPS, but would it also break data. And also if I get to 06.15.00, can I then update to a safer baseband? Being a Norwegian phone, I can't use a IMIE service, nor do I care to pay for one.
 
Last edited:

TriJetHero

macrumors 601
Oct 13, 2010
4,953
141
World
You can flash the 06.15.0 BB and then downgrade to 05.13.04 which is unlockable with ultrasn0w and has working gos.

Try iclarified.com for tutorials

Make sure your 3gs is old enough to do it.

No the 06.15.0 does not effect data
 

ethanzh

macrumors member
Original poster
Nov 5, 2011
34
0
Oslo, Norway
The reason I posted my serial number was to confirm if my device was old enough. From what I've read it isn't. If this is truly the case, do I have any other option :(
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
119
The Jailbreak Community
The reason I posted my serial number was to confirm if my device was old enough. From what I've read it isn't. If this is truly the case, do I have any other option :(
Your phone is OK to flash the iPad baseband
Your phone was made the 44th week of 2009
Only phones made after the 27th week of 2011 are at risk
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.